@import "libs/shared/assets/src/global-style/variable";

.btn-fixed-right {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  position: fixed;
  top: 134px;
  z-index: 1000;
  right: 25px;
}

:host {
  min-height: 100%;


  .image-body {
    max-height: 383px;
    overflow-y: auto;
  }

  .selected-image {
    ::ng-deep {
      .img-item {
        border: 2.84936px solid #141ED2;
      }
    }
  }

  .img-item {
    display: flex;
    justify-content: center;
  }

  .send {
    &__left {
      .label__divider--wrap {
        margin-bottom: 15px;
      }
      .label__divider {
        font-size: 18px;
        font-weight: 700;
        font-family: avertaB, serif;
      }
      padding: 5px;
      display: flex;
      align-items: center;
      &-img {
        width: 100%;
        max-height: 54vh;
        margin-left: auto;
        margin-right: auto;
        object-fit: cover;
        object-position: 0px 1px;
        border-radius: 8px;
      }
    }
    &__right {
      min-height: 100%;
      padding: 5px;
      .current-point {
        display: flex;
        justify-content: center;
        min-height: 105px;
        align-content: space-between;
        background: url(/assets/img/angle-it/bg-point.png) no-repeat 100% 100%;
        background-size: cover;
        background-position: left;
        border-radius: 8px;
        margin-bottom: 15px;
        display: flex;
        align-items: center;
        &__label {
          &__label {
            font-weight: 700;
            font-size: 18px;
            line-height: 150%;
            color: $white;
          }
          &__point {
            font-weight: 700;
            font-size: 24px;
            line-height: 36px;
            color: $white;
            &__point {
              font-weight: 400;
              font-size: 16px;
              line-height: 24px;
            }
          }
        }
      }
      .send-thanks {
        align-content: space-between;
        background: url(/assets/img/angle-it/bg-send-thanks.png) no-repeat 100% 100%;
        background-size: cover;
        background-position: center;
        border-radius: 8px;
        .send-form {
          padding: 20px;
          ::ng-deep {
            .input__label {
              color: $white;
            }
          }
        }
      }
    }
  }

  ::ng-deep {
    .img-item {
      width: 193px;
      height: auto;
      .img-item {
        width: 183px !important;
        height: 140px !important;
      }
      .image-loading-wrap {
        width: 183px !important;
        height: 140px !important;
      }
    }
    .title {
      font-weight: 400 !important;
      font-size: 20px !important;
    }
  }
}
.point-suffix {
  color: $bg-gray-placeholder;
  font-size: 14px;
}








